Skip to content
GridRouterhome

Search

Search providers, capabilities and pages

Docs
API referenceKeys and access

Create an agent

POST
/v1/agents

Create an agent with its own budget and mint an agent key for it.

Authorization

bearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/agents" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "object": "agent",  "id": "string",  "name": "string",  "budget_micro": 0,  "period": "day",  "key": {    "object": "api_key",    "id": "string",    "name": "string",    "prefix": "string",    "scopes": [      "*"    ],    "status": "active",    "label": "string",    "agent_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "last_used_at": "2019-08-24T14:15:22Z",    "expires_at": "2019-08-24T14:15:22Z",    "allowed_ips": [      "string"    ],    "limit_micro": 0,    "limit_reset": "day",    "usage_micro": 0,    "limit_remaining_micro": 0,    "secret": "string"  }}